<div class="panel panel-default">
  <div class="panel-heading">
    {{ 'header.invite-a-friend-h' | translate }}
  </div>
  <div class="panel-body profile">
    <div class="row">
      <div class="col-sm-7">
        <form action="" [formGroup]="infoMainForm" (ngSubmit)="onSubmit()">
          <h4 class="profile-header">{{ 'header.invite-a-friend-header' | translate }}</h4>
          <div class="alert alert-success" *ngIf="success">
            {{ 'header.success-invitation-send' | translate }}
        </div>
        <div class="alert alert-danger" *ngIf="error">
            {{ 'header.phone-number-already-invited' | translate }}
        </div>
          <div class="form-group">
            <label class="" for="reg-code">{{ 'register.phone-number' | translate }}:</label>
            <div class="">
                <input type="text" class="form-control" formControlName="phone" placeholder="61234567" maxlength="8" [ngClass]="{ 'is-invalid' : submitted && f.phone.errors }">
                <div *ngIf="submitted && f.phone.errors" class="invalid-feedback" required >
                    <span class="text-danger" *ngIf="f.phone.errors.pattern">{{ 'header.numbers-only' | translate }}</span>&nbsp;
                    <span class="text-danger" *ngIf="f.phone.errors.required">{{ 'header.required' | translate }}</span>&nbsp;
                    <span class="text-danger" *ngIf="f.phone.errors.minlength">{{ 'header.phone-number-error' | translate }}</span>&nbsp;
                    
                </div>
            </div>
          </div>
          <br>
          <div class="form-group">
            <button type="submit" class="btn btn-primary">{{ 'header.invite-submit' | translate }}</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
